local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("fade_deeperwell_scareaway_end") then

    disableMovement()
    doFadeWipe(false)
    wait(1.4)
    setFlag("deeperwell_scareaway_end")

  end

end